io.vertx.reactivex.kafka.admin

## Class KafkaAdminClient

- java.lang.Object
- - io.vertx.reactivex.kafka.admin.KafkaAdminClient

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class KafkaAdminClient
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Vert.x Kafka Admin client implementation

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaAdminClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaAdminClient(KafkaAdminClient delegate)`
    `KafkaAdminClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the admin client
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the admin client
    `void` | `close(long timeout)` Close the admin client
    `void` | `close(long timeout, Handler<AsyncResult<Void>> handler)` Close the admin client
    `static KafkaAdminClient` | `create(Vertx vertx, Map<String,String> config)` Create a new KafkaAdminClient instance
    `void` | `createAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings)` Create the ACL rules.
    `void` | `createAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings, Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)` Create the ACL rules.
    `void` | `createPartitions(Map<String,NewPartitions> partitions)` Creates a batch of new partitions in the Kafka topic
    `void` | `createPartitions(Map<String,NewPartitions> partitions, Handler<AsyncResult<Void>> completionHandler)` Creates a batch of new partitions in the Kafka topic
    `void` | `createTopics(List<NewTopic> topics)` Creates a batch of new Kafka topics
    `void` | `createTopics(List<NewTopic> topics, Handler<AsyncResult<Void>> completionHandler)` Creates a batch of new Kafka topics
    `void` | `deleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)` Delete the ACL rules.
    `void` | `deleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings, Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)` Delete the ACL rules.
    `void` | `deleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions)` Delete committed offsets for a set of partitions in a consumer group.
    `void` | `deleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions, Handler<AsyncResult<Void>> completionHandler)` Delete committed offsets for a set of partitions in a consumer group.
    `void` | `deleteConsumerGroups(List<String> groupIds)` Delete consumer groups from the cluster.
    `void` | `deleteConsumerGroups(List<String> groupIds, Handler<AsyncResult<Void>> completionHandler)` Delete consumer groups from the cluster.
    `void` | `deleteTopics(List<String> topicNames)` Deletes a batch of Kafka topics
    `void` | `deleteTopics(List<String> topicNames, Handler<AsyncResult<Void>> completionHandler)` Deletes a batch of Kafka topics
    `void` | `describeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)` Describe the ACL rules.
    `void` | `describeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter, Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)` Describe the ACL rules.
    `void` | `describeCluster()` Describe the nodes in the cluster with the default options
    `void` | `describeCluster(DescribeClusterOptions options)` Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
    `void` | `describeCluster(DescribeClusterOptions options, Handler<AsyncResult<ClusterDescription>> completionHandler)` Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
    `void` | `describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)` Describe the nodes in the cluster with the default options
    `void` | `describeConsumerGroups(List<String> groupIds)` Describe some group ids in the cluster, with the default options
    `void` | `describeConsumerGroups(List<String> groupIds, DescribeConsumerGroupsOptions options)` Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
    `void` | `describeConsumerGroups(List<String> groupIds, DescribeConsumerGroupsOptions options, Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)` Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
    `void` | `describeConsumerGroups(List<String> groupIds, Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)` Describe some group ids in the cluster, with the default options
    `void` | `describeTopics(List<String> topicNames)` Describe some topics in the cluster, with the default options.
    `void` | `describeTopics(List<String> topicNames, DescribeTopicsOptions options)` Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
    `void` | `describeTopics(List<String> topicNames, DescribeTopicsOptions options, Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)` Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
    `void` | `describeTopics(List<String> topicNames, Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)` Describe some topics in the cluster, with the default options.
    `boolean` | `equals(Object o)`
    `KafkaAdminClient` | `getDelegate()`
    `int` | `hashCode()`
    `void` | `listConsumerGroups()` Get the the consumer groups available in the cluster with the default options
    `void` | `listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)` Get the the consumer groups available in the cluster with the default options
    `void` | `listTopics()` List the topics available in the cluster with the default options.
    `void` | `listTopics(Handler<AsyncResult<Set<String>>> completionHandler)` List the topics available in the cluster with the default options.
    `static KafkaAdminClient` | `newInstance(KafkaAdminClient arg)`
    `Completable` | `rxClose()` Close the admin client
    `Completable` | `rxClose(long timeout)` Close the admin client
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxCreateAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings)` Create the ACL rules.
    `Completable` | `rxCreatePartitions(Map<String,NewPartitions> partitions)` Creates a batch of new partitions in the Kafka topic
    `Completable` | `rxCreateTopics(List<NewTopic> topics)` Creates a batch of new Kafka topics
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxDeleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)` Delete the ACL rules.
    `Completable` | `rxDeleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions)` Delete committed offsets for a set of partitions in a consumer group.
    `Completable` | `rxDeleteConsumerGroups(List<String> groupIds)` Delete consumer groups from the cluster.
    `Completable` | `rxDeleteTopics(List<String> topicNames)` Deletes a batch of Kafka topics
    `Single<List<org.apache.kafka.common.acl.AclBinding>>` | `rxDescribeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)` Describe the ACL rules.
    `Single<ClusterDescription>` | `rxDescribeCluster()` Describe the nodes in the cluster with the default options
    `Single<ClusterDescription>` | `rxDescribeCluster(DescribeClusterOptions options)` Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
    `Single<Map<String,ConsumerGroupDescription>>` | `rxDescribeConsumerGroups(List<String> groupIds)` Describe some group ids in the cluster, with the default options
    `Single<Map<String,ConsumerGroupDescription>>` | `rxDescribeConsumerGroups(List<String> groupIds, DescribeConsumerGroupsOptions options)` Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
    `Single<Map<String,TopicDescription>>` | `rxDescribeTopics(List<String> topicNames)` Describe some topics in the cluster, with the default options.
    `Single<Map<String,TopicDescription>>` | `rxDescribeTopics(List<String> topicNames, DescribeTopicsOptions options)` Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
    `Single<List<ConsumerGroupListing>>` | `rxListConsumerGroups()` Get the the consumer groups available in the cluster with the default options
    `Single<Set<String>>` | `rxListTopics()` List the topics available in the cluster with the default options.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaAdminClient> __TYPE_ARG

  - ### Constructor Detail

    - #### KafkaAdminClient

          public KafkaAdminClient(KafkaAdminClient delegate)

    - #### KafkaAdminClient

          public KafkaAdminClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaAdminClient getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static KafkaAdminClient create(Vertx vertx,
                                                Map<String,String> config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### listTopics

          public void listTopics(Handler<AsyncResult<Set<String>>> completionHandler)

      List the topics available in the cluster with the default options.
      Parameters:
        `completionHandler` - handler called on operation completed with the topics set

    - #### listTopics

          public void listTopics()

      List the topics available in the cluster with the default options.

    - #### rxListTopics

          public Single<Set<String>> rxListTopics()

      List the topics available in the cluster with the default options.
      Returns:

    - #### describeTopics

          public void describeTopics(List<String> topicNames,
                                     Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
        `completionHandler` - handler called on operation completed with the topics descriptions

    - #### describeTopics

          public void describeTopics(List<String> topicNames)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe

    - #### rxDescribeTopics

          public Single<Map<String,TopicDescription>> rxDescribeTopics(List<String> topicNames)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
      Returns:

    - #### describeTopics

          public void describeTopics(List<String> topicNames,
                                     DescribeTopicsOptions options,
                                     Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)

      Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
      Parameters:
        `topicNames` -
        `options` -
        `completionHandler` -

    - #### describeTopics

          public void describeTopics(List<String> topicNames,
                                     DescribeTopicsOptions options)

      Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
      Parameters:
        `topicNames` -
        `options` -

    - #### rxDescribeTopics

          public Single<Map<String,TopicDescription>> rxDescribeTopics(List<String> topicNames,
                                                                       DescribeTopicsOptions options)

      Like `describeTopics(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.TopicDescription>>>)` but allows for customised otions
      Parameters:
        `topicNames` -
        `options` -
      Returns:

    - #### createTopics

          public void createTopics(List<NewTopic> topics,
                                   Handler<AsyncResult<Void>> completionHandler)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
        `completionHandler` - handler called on operation completed

    - #### createTopics

          public void createTopics(List<NewTopic> topics)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create

    - #### rxCreateTopics

          public Completable rxCreateTopics(List<NewTopic> topics)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
      Returns:

    - #### deleteTopics

          public void deleteTopics(List<String> topicNames,
                                   Handler<AsyncResult<Void>> completionHandler)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
        `completionHandler` - handler called on operation completed

    - #### deleteTopics

          public void deleteTopics(List<String> topicNames)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete

    - #### rxDeleteTopics

          public Completable rxDeleteTopics(List<String> topicNames)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
      Returns:

    - #### createPartitions

          public void createPartitions(Map<String,NewPartitions> partitions,
                                       Handler<AsyncResult<Void>> completionHandler)

      Creates a batch of new partitions in the Kafka topic
      Parameters:
        `partitions` - partitions to create
        `completionHandler` - handler called on operation completed

    - #### createPartitions

          public void createPartitions(Map<String,NewPartitions> partitions)

      Creates a batch of new partitions in the Kafka topic
      Parameters:
        `partitions` - partitions to create

    - #### rxCreatePartitions

          public Completable rxCreatePartitions(Map<String,NewPartitions> partitions)

      Creates a batch of new partitions in the Kafka topic
      Parameters:
        `partitions` - partitions to create
      Returns:

    - #### listConsumerGroups

          public void listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)

      Get the the consumer groups available in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the consumer groups ids

    - #### listConsumerGroups

          public void listConsumerGroups()

      Get the the consumer groups available in the cluster with the default options

    - #### rxListConsumerGroups

          public Single<List<ConsumerGroupListing>> rxListConsumerGroups()

      Get the the consumer groups available in the cluster with the default options
      Returns:

    - #### describeConsumerGroups

          public void describeConsumerGroups(List<String> groupIds,
                                             Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
        `completionHandler` - handler called on operation completed with the consumer groups descriptions

    - #### describeConsumerGroups

          public void describeConsumerGroups(List<String> groupIds)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe

    - #### rxDescribeConsumerGroups

          public Single<Map<String,ConsumerGroupDescription>> rxDescribeConsumerGroups(List<String> groupIds)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
      Returns:

    - #### describeConsumerGroups

          public void describeConsumerGroups(List<String> groupIds,
                                             DescribeConsumerGroupsOptions options,
                                             Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)

      Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
      Parameters:
        `groupIds` -
        `options` -
        `completionHandler` -

    - #### describeConsumerGroups

          public void describeConsumerGroups(List<String> groupIds,
                                             DescribeConsumerGroupsOptions options)

      Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
      Parameters:
        `groupIds` -
        `options` -

    - #### rxDescribeConsumerGroups

          public Single<Map<String,ConsumerGroupDescription>> rxDescribeConsumerGroups(List<String> groupIds,
                                                                                       DescribeConsumerGroupsOptions options)

      Like `describeConsumerGroups(java.util.List<java.lang.String>, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, io.vertx.kafka.admin.ConsumerGroupDescription>>>)` but allows customized options
      Parameters:
        `groupIds` -
        `options` -
      Returns:

    - #### describeCluster

          public void describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)

      Describe the nodes in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the cluster description

    - #### describeCluster

          public void describeCluster()

      Describe the nodes in the cluster with the default options

    - #### rxDescribeCluster

          public Single<ClusterDescription> rxDescribeCluster()

      Describe the nodes in the cluster with the default options
      Returns:

    - #### describeCluster

          public void describeCluster(DescribeClusterOptions options,
                                      Handler<AsyncResult<ClusterDescription>> completionHandler)

      Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
      Parameters:
        `options` -
        `completionHandler` -

    - #### describeCluster

          public void describeCluster(DescribeClusterOptions options)

      Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
      Parameters:
        `options` -

    - #### rxDescribeCluster

          public Single<ClusterDescription> rxDescribeCluster(DescribeClusterOptions options)

      Like `describeCluster(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.kafka.admin.ClusterDescription>>)` but allows customized options.
      Parameters:
        `options` -
      Returns:

    - #### deleteConsumerGroups

          public void deleteConsumerGroups(List<String> groupIds,
                                           Handler<AsyncResult<Void>> completionHandler)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
        `completionHandler` - handler called on operation completed

    - #### deleteConsumerGroups

          public void deleteConsumerGroups(List<String> groupIds)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete

    - #### rxDeleteConsumerGroups

          public Completable rxDeleteConsumerGroups(List<String> groupIds)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
      Returns:

    - #### deleteConsumerGroupOffsets

          public void deleteConsumerGroupOffsets(String groupId,
                                                 Set<TopicPartition> partitions,
                                                 Handler<AsyncResult<Void>> completionHandler)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be deleted
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted
        `completionHandler` -

    - #### deleteConsumerGroupOffsets

          public void deleteConsumerGroupOffsets(String groupId,
                                                 Set<TopicPartition> partitions)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be deleted
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted

    - #### rxDeleteConsumerGroupOffsets

          public Completable rxDeleteConsumerGroupOffsets(String groupId,
                                                          Set<TopicPartition> partitions)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be deleted
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the admin client
      Parameters:
        `handler` - a `Handler` completed with the operation result

    - #### close

          public void close()

      Close the admin client

    - #### rxClose

          public Completable rxClose()

      Close the admin client
      Returns:

    - #### close

          public void close(long timeout,
                            Handler<AsyncResult<Void>> handler)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
        `handler` - a `Handler` completed with the operation result

    - #### close

          public void close(long timeout)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing

    - #### rxClose

          public Completable rxClose(long timeout)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
      Returns:

    - #### describeAcls

          public void describeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter,
                                   Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)

      Describe the ACL rules.
      Parameters:
        `aclBindingFilter` - The filter to use.
        `completionHandler` - handler called on operation completed with the ACL description result.

    - #### describeAcls

          public void describeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)

      Describe the ACL rules.
      Parameters:
        `aclBindingFilter` - The filter to use.

    - #### rxDescribeAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxDescribeAcls(org.apache.kafka.common.acl.AclBindingFilter aclBindingFilter)

      Describe the ACL rules.
      Parameters:
        `aclBindingFilter` - The filter to use.
      Returns:

    - #### createAcls

          public void createAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings,
                                 Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)

      Create the ACL rules.
      Parameters:
        `aclBindings` - The ACL to create.
        `completionHandler` - handler called on operation completed with the ACL creation result.

    - #### createAcls

          public void createAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings)

      Create the ACL rules.
      Parameters:
        `aclBindings` - The ACL to create.

    - #### rxCreateAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxCreateAcls(List<org.apache.kafka.common.acl.AclBinding> aclBindings)

      Create the ACL rules.
      Parameters:
        `aclBindings` - The ACL to create.
      Returns:

    - #### deleteAcls

          public void deleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings,
                                 Handler<AsyncResult<List<org.apache.kafka.common.acl.AclBinding>>> completionHandler)

      Delete the ACL rules.
      Parameters:
        `aclBindings` - The filter to delete matching ACLs.
        `completionHandler` - handler called on operation completed with the ACL deletion result.

    - #### deleteAcls

          public void deleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)

      Delete the ACL rules.
      Parameters:
        `aclBindings` - The filter to delete matching ACLs.

    - #### rxDeleteAcls

          public Single<List<org.apache.kafka.common.acl.AclBinding>> rxDeleteAcls(List<org.apache.kafka.common.acl.AclBindingFilter> aclBindings)

      Delete the ACL rules.
      Parameters:
        `aclBindings` - The filter to delete matching ACLs.
      Returns:

    - #### newInstance

          public static KafkaAdminClient newInstance(KafkaAdminClient arg)

Copyright © 2025 Eclipse. All rights reserved.